;
;****************************************************************************
;
;  Purpose:
;	Convert A Byte From Binary To Printable ASCII
;
;  Date:
;	05/11/85
;
;  Author:
;	John C. Wren
;
;  Modications:
;	02/04/97 - Added Description Fields For Archive
;
;  Processor:
;	Generic 8031
;
;  Assembler:
;	Avocet AVA51
;
;  Dependencies:
;	None
;
;  Files:
;	None
;
;  Philosophic:
;	This Was Copped From A Z80 Example I Saw About 12 Years Ago.  I Like
;	It Because It Uses No Jumps.
;
;****************************************************************************
;
;  Includes
;
		seg	code
;
;****************************************************************************
;
;  Publics, Externs
;
		public	UTIL_BINTOASC
;
;****************************************************************************
;
;  Description:
;	Converts Byte From 4 Bit Binary To ASCII Printable Character
;
;  Entry Requirements:
;	Value In Acc To Convert
;
;  On Exit:
;	Acc Has Value In ASCII
;
;  Affected:
;	PSW.CY, PSW.Z, PSW.P, Acc
;
;  Stack:
;	0 Bytes, Not Including Called Routines
;
;  Comments:
;	A Better Mathmatical Explanation Of How It Works Would Be Good
;
UTIL_BINTOASC	proc
		anl	a,#00fh 		; Keep Only Low Bits
		add	a,#090h 		; Add 144
		da	a			; Decimal Adjust
		addc	a,#040h 		; Add 64
		da	a			; Decimal Adjust
		ret				; Return To Caller
		endproc
;
;****************************************************************************
;
		end
